Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(124)

Unified Diff: tool/node_test.sh

Issue 1840203002: More analyzer updates, and handle negative_tests (Closed) Base URL: git@github.com:dart-lang/dev_compiler.git@master
Patch Set: Created 4 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: tool/node_test.sh
diff --git a/tool/node_test.sh b/tool/node_test.sh
index ad7ece512abac9d400813de507f60bd58792f1e8..d735db767b8a4ead7dbb367c72a404474a23eb43 100755
--- a/tool/node_test.sh
+++ b/tool/node_test.sh
@@ -27,7 +27,14 @@ function run() {
# TODO(ochafik): Add full language tests (in separate Travis env/matrix config).
echo "*** Compiling SDK for node to $output_dir"
-./tool/build_sdk.sh "${ddc_options[@]}"
+
+dart bin/dartdevc.dart --force-compile --no-source-maps --sdk-check \
+ -l warning --dart-sdk tool/generated_sdk -o lib/runtime/ \
+ --no-destructure-named-params \
+ "${ddc_options[@]}" \
+ dart:_runtime \
+ dart:_debugger \
+ dart:js dart:mirrors dart:html || true
echo "*** Compiling hello_dart_test"
compile test/codegen/language/hello_dart_test.dart
« lib/src/report.dart ('K') | « test/testing.dart ('k') | tool/sdk_expected_errors.txt » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698